Loading...
Searching...
No Matches
endpointabstract

The base class for session, connection, and link. More...

`#include <endpoint.hpp>`

Inheritance diagram for endpoint:
[legend]

## Public Member Functions

virtual bool | uninitialized () const =0
| True if the local end is uninitialized.
virtual bool | active () const =0
| True if the local end is active.
virtual bool | closed () const =0
| True if the local and remote ends are closed.
virtual class error_condition | error () const =0
| Get the error condition of the remote endpoint.
virtual void | close ()=0
| Close the endpoint.
virtual void | close (const error_condition &)=0
| Close the endpoint with an error condition.

## Detailed Description

The base class for session, connection, and link.

## Member Function Documentation

## uninitialized()

virtual bool uninitialized | ( |  | ) | const

pure virtual

True if the local end is uninitialized.

Implemented in connection, link, and session.

## active()

virtual bool active | ( |  | ) | const

pure virtual

True if the local end is active.

Implemented in connection, link, and session.

## closed()

virtual bool closed | ( |  | ) | const

pure virtual

True if the local and remote ends are closed.

Implemented in connection, link, and session.

## error()

virtual class error_condition error | ( |  | ) | const

pure virtual

Get the error condition of the remote endpoint.

Implemented in connection, link, and session.

## close() [1/2]

virtual void close | ( |  | ) |

pure virtual

Close the endpoint.

Implemented in connection, link, and session.

## close() [2/2]

virtual void close | ( | const error_condition & |  | ) |

pure virtual

Close the endpoint with an error condition.

Implemented in connection, link, and session.

The documentation for this class was generated from the following file:

- proton/endpoint.hpp